> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get an inbound PO with receivers

GET https://dream.rushorder.com/api/inbound/receiver/{poRef}

Retrieve an entire submitted inbound PO, along with its associated receivers (if any). Receivers are in an array of initial receivers, with each initial having an array of corrections (if any).

Reference: https://docs.rushorder.com/api-reference/inbound/get-po

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `poRef` (string, required) — The PO reference number of the inbound.

### Query parameters

- `lading` (string, optional) — The lading of the inbound.

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `Inbound` (InboundPoWithReceivers200Inbound, optional)
- `Receivers` (list of InboundPoWithReceivers200ReceiversItems, optional)

## Errors

### 401 Unauthorized Error

Access token is missing or invalid

- `any`

### 404 Not Found Error

The requested item was not found

- `any`

## Types

### InboundPoWithReceivers200Inbound

- `CreatedDate` (datetime, optional)
- `ExpectedDeliveryDate` (datetime, optional)
- `AppointmentDate` (datetime, optional)
- `ReceivedDate` (datetime, optional, nullable)
- `AppointmentTimeSlot` (integer, optional)
- `POReferenceNumber` (string, optional)
- `Status` (enum, optional)
  - Allowed values: `Announced`, `Accepted`, `Processing`, `Completed`
- `ContainerLoad` (string, optional)
- `HazardType` (string, optional)
- `Location` (string, optional)
- `Email` (string, optional)
- `Notes` (string, optional)
- `Items` (list of InboundPoWithReceivers200InboundItemsItems, optional)

### InboundPoWithReceivers200ReceiversItems

- `Initial` (Receiver200, optional)
- `Corrections` (list of ReceiverCorrection200, optional)

### InboundPoWithReceivers200InboundItemsItems

- `Sku` (string, optional)
- `Description` (string, optional)
- `QtyExpected` (integer, optional)
- `LineId` (string, optional)

### Receiver200

- `Client` (string, optional)
- `Number` (integer, optional)
- `RecDate` (datetime, optional)
- `RecBy` (string, optional)
- `Location` (string, optional)
- `Po` (string, optional)
- `Comment` (string, optional)
- `ScDeliveryApt` (boolean, optional)
- `ScPl` (boolean, optional)
- `ScPlqty` (boolean, optional)
- `ScCartonMark` (boolean, optional)
- `ScBoxCondition` (boolean, optional)
- `ScPalletCondition` (boolean, optional)
- `UnitType` (string, optional)
- `Shipper` (string, optional)
- `Carrier` (string, optional)
- `Pack` (string, optional)
- `Lading` (string, optional)
- `Project` (string, optional)
- `StockTime` (float, optional)
- `LabelTime` (float, optional)
- `ShelfTime` (float, optional)
- `Palletcount` (integer, optional)
- `Played` (boolean, optional)
- `Items` (list of Receiver200_Items, optional)

### ReceiverCorrection200

- `Client` (string, optional)
- `Number` (integer, optional)
- `RecDate` (datetime, optional)
- `RecBy` (string, optional)
- `Location` (string, optional)
- `Po` (string, optional)
- `Comment` (string, optional)
- `ScDeliveryApt` (boolean, optional)
- `ScPl` (boolean, optional)
- `ScPlqty` (boolean, optional)
- `ScCartonMark` (boolean, optional)
- `ScBoxCondition` (boolean, optional)
- `ScPalletCondition` (boolean, optional)
- `UnitType` (string, optional)
- `Shipper` (string, optional)
- `Carrier` (string, optional)
- `Pack` (string, optional)
- `Lading` (string, optional)
- `Project` (string, optional)
- `StockTime` (float, optional)
- `LabelTime` (float, optional)
- `ShelfTime` (float, optional)
- `Palletcount` (integer, optional)
- `Played` (boolean, optional)
- `Items` (list of Receiver200_Items, optional)

### Receiver200_Items

- `Item` (string, optional)
- `Notes` (string, optional)
- `Descript` (string, optional)
- `LineId` (string, optional)
- `PlQty` (double, optional)
- `RecQty` (double, optional)
- `RecCrtncount` (double, optional)
- `RecCaseqty` (double, optional)
- `RecPartial` (double, optional)

## Examples

**Response**

```json
{
  "Inbound": {
    "CreatedDate": "2024-01-15T09:30:00Z",
    "ExpectedDeliveryDate": "2024-01-15T09:30:00Z",
    "AppointmentDate": "2024-01-15T09:30:00Z",
    "ReceivedDate": "2024-01-15T09:30:00Z",
    "AppointmentTimeSlot": 1,
    "POReferenceNumber": "string",
    "Status": "Announced",
    "ContainerLoad": "string",
    "HazardType": "string",
    "Location": "string",
    "Email": "string",
    "Notes": "string",
    "Items": [
      {
        "Sku": "string",
        "Description": "string",
        "QtyExpected": 1,
        "LineId": "string"
      }
    ]
  },
  "Receivers": [
    {
      "Initial": {
        "Client": "ABC",
        "Number": 12345,
        "RecDate": "2022-01-01T12:00:00.00",
        "RecBy": "J. Smith",
        "Location": "ENGLE-A",
        "Po": "MYPO7656",
        "Comment": "Extra items not accounted for. Please look into.",
        "ScDeliveryApt": true,
        "ScPl": true,
        "ScPlqty": true,
        "ScCartonMark": true,
        "ScBoxCondition": true,
        "ScPalletCondition": true,
        "UnitType": "pallet",
        "Shipper": "Acme Products, Inc.",
        "Carrier": "FEDEX",
        "Pack": "AB12-123",
        "Lading": "77719876540",
        "Project": "Inbound Delivery - PO",
        "StockTime": 8.67,
        "LabelTime": 0.05,
        "ShelfTime": 21.03,
        "Palletcount": 14,
        "Played": true,
        "Items": [
          {
            "Item": "1025A0DF",
            "Notes": "",
            "Descript": "Model Airplane Kit (Red)",
            "LineId": "1",
            "PlQty": 0,
            "RecQty": 1570,
            "RecCrtncount": 1,
            "RecCaseqty": 1500,
            "RecPartial": 70
          }
        ]
      },
      "Corrections": [
        {
          "Client": "ABC",
          "Number": 12345,
          "RecDate": "2022-01-01T12:00:00.00",
          "RecBy": "J. Smith",
          "Location": "ENGLE-A",
          "Po": "MYPO7656",
          "Comment": "Extra items not accounted for. Please look into.",
          "ScDeliveryApt": true,
          "ScPl": true,
          "ScPlqty": true,
          "ScCartonMark": true,
          "ScBoxCondition": true,
          "ScPalletCondition": true,
          "UnitType": "pallet",
          "Shipper": "Acme Products, Inc.",
          "Carrier": "FEDEX",
          "Pack": "AB12-123",
          "Lading": "77719876540",
          "Project": "Correction",
          "StockTime": 8.67,
          "LabelTime": 0.05,
          "ShelfTime": 21.03,
          "Palletcount": 14,
          "Played": true,
          "Items": [
            {
              "Item": "1025A0DF",
              "Notes": "",
              "Descript": "Model Airplane Kit (Red)",
              "LineId": "1",
              "PlQty": 0,
              "RecQty": 1570,
              "RecCrtncount": 1,
              "RecCaseqty": 1500,
              "RecPartial": 70
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/inbound/receiver/MYPO7656"

querystring = {"lading":"MY-LADING"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/inbound/receiver/MYPO7656?lading=MY-LADING")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```